<?php

    global $tpl;
    
    $Proces = procesy::get( core::$i->id );
    if( $Proces->id )
    {
        
        $query = db::$i->q("SELECT * FROM `user` WHERE `therapist`='".( user::$i->id )."'" , true );
        if( db::$i->rows )
        {
            while( $item = db::$i->f( $query ) )
            {
                $Decydenci[] = user::parse( $item , true );
            }
        }
        
        $tpl->assign(array(
            'Decydenci' => $Decydenci,
            'Proces' => $Proces
        ));
        
        if( core::POST() AND !empty( $_REQUEST['nazwa'] ) AND !empty( $_REQUEST['user'] ) )
        {
            if( procesy::copy( $Proces->id , $_REQUEST['nazwa'] , $_REQUEST['user'] , user::$i->id ) )
            {
                statement::$i->set('Proces został pomyślnie skopiowany');
                $tpl->assign(array(
                    'SuccessCopy' => true
                ));
            } 
        } 
        else 
        {
            if( core::POST() ) statement::$i->set('Wypełnij wszystkie pola','danger');
        }
        
        module::$i->on();
        
    } 
    else 
    {
        core::page404();
    }

    
?>